aboutsummaryrefslogtreecommitdiffstats
path: root/unmaintained
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2014-05-31 07:44:42 +0000
committerEivind Uggedal <eivind@uggedal.com>2014-05-31 07:44:42 +0000
commit93f7e4b36d7d83b94c8a005f784c0aeb2ec6f2fb (patch)
tree60d453dc9d5dd31743bb20bd67c6ca6236eb2a3d /unmaintained
parentae5e9433489df67540628bd581c7a2727af7100a (diff)
downloadaports-93f7e4b36d7d83b94c8a005f784c0aeb2ec6f2fb.tar.gz
aports-93f7e4b36d7d83b94c8a005f784c0aeb2ec6f2fb.tar.bz2
aports-93f7e4b36d7d83b94c8a005f784c0aeb2ec6f2fb.tar.xz
testing/ejabberd: move to unmaintained
Diffstat (limited to 'unmaintained')
-rw-r--r--unmaintained/ejabberd/APKBUILD47
-rw-r--r--unmaintained/ejabberd/ejabberd.confd5
-rw-r--r--unmaintained/ejabberd/ejabberd.initd47
-rw-r--r--unmaintained/ejabberd/ejabberd.logrotate12
-rw-r--r--unmaintained/ejabberd/ejabberd.pre-install3
5 files changed, 114 insertions, 0 deletions
diff --git a/unmaintained/ejabberd/APKBUILD b/unmaintained/ejabberd/APKBUILD
new file mode 100644
index 0000000000..29979c48cc
--- /dev/null
+++ b/unmaintained/ejabberd/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: Leonardo Arena <rnarld@alpinelinux.org>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=ejabberd
+pkgver=2.1.13
+pkgrel=0
+pkgdesc="An erlang jabber server"
+url="http://www.ejabberd.im"
+arch="all"
+license="GPL2+"
+depends="erlang util-linux"
+depends_dev="erlang-dev expat-dev libiconv-dev openssl-dev zlib-dev heimdal-dev"
+makedepends="$depends_dev"
+pkgusers="ejabberd"
+pkggroups="ejabberd"
+install="$pkgname.pre-install"
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://www.process-one.net/downloads/$pkgname/$pkgver/$pkgname-$pkgver.tgz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+ cd "$_builddir"/src
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"/src
+ make DESTDIR="$pkgdir" install || return 1
+
+ install -d ${pkgdir}/var/spool/$pkgname
+ install -d ${pkgdir}/var/lib/$pkgname
+ install -D -m0644 ../../../$pkgname.logrotate ${pkgdir}/etc/logrotate.d/$pkgname
+ install -m755 -D ../../../$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ install -m644 -D ../../../$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+ chown -R ejabberd.ejabberd "$pkgdir"/var/log/ejabberd
+ chown -R ejabberd.ejabberd "$pkgdir"/var/spool/ejabberd
+ chown -R ejabberd.ejabberd "$pkgdir"/var/lib/ejabberd
+ chgrp ejabberd "$pkgdir"/etc/ejabberd/ejabberd.cfg "$pkgdir"/etc/ejabberd/ejabberdctl.cfg "$pkgdir"/etc/ejabberd
+}
+
+md5sums="00f8f28752e6728870cb4c8ad0339984 ejabberd-2.1.13.tgz"
+sha256sums="a80d1c72e435da31758261cb0c04fe750ac71fc3e33a3b606123efd3b3abc86d ejabberd-2.1.13.tgz"
+sha512sums="9348271f0cf1d9a7e6c53204121568e77820afc50fff1271e7b7ef66c5c5d7d067034c46472250423c4e9052046b18c1c8178f09eda0b0bfe25a1eac465fd07b ejabberd-2.1.13.tgz"
diff --git a/unmaintained/ejabberd/ejabberd.confd b/unmaintained/ejabberd/ejabberd.confd
new file mode 100644
index 0000000000..b1e984e4d7
--- /dev/null
+++ b/unmaintained/ejabberd/ejabberd.confd
@@ -0,0 +1,5 @@
+# Please configure everything at /etc/jabber/ejabberdctl.cfg
+# Put here only command line arguments for ejabberdctl (if any are required)
+
+#EJABBERDCTL_OPTS=""
+
diff --git a/unmaintained/ejabberd/ejabberd.initd b/unmaintained/ejabberd/ejabberd.initd
new file mode 100644
index 0000000000..2d6d44d3c3
--- /dev/null
+++ b/unmaintained/ejabberd/ejabberd.initd
@@ -0,0 +1,47 @@
+#!/sbin/runscript
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-im/ejabberd/files/ejabberd-3.initd,v 1.3 2010/06/02 07:12:27 pva Exp $
+
+depend() {
+ use dns
+ need net
+ provide jabber-server
+}
+
+start() {
+ if ejabberdctl status >/dev/null 2>&1; then
+ ewarn "ejabberd is already started (manually?)."
+ return 0
+ fi
+ ebegin "Starting ejabberd"
+ /usr/sbin/ejabberdctl ${EJABBERDCTL_OPT} start
+ eend $?
+}
+
+stop() {
+ ejabberdctl status >/dev/null 2>&1
+ if test $? = 3; then
+ ewarn "ejabberd is already stopped (manually?)."
+ return 0
+ fi
+ ebegin "Stopping ejabberd"
+ if /usr/sbin/ejabberdctl stop >/dev/null 2>&1; then
+ cnt=0
+ sleep 1
+ while ejabberdctl status >/dev/null 2>&1 || test $? = 1; do
+ echo -n .
+ cnt=`expr $cnt + 1`
+ if [ $cnt -ge 60 ] ; then
+ eend 1
+ break
+ fi
+ sleep 1
+ done
+ eend 0
+ else
+ eend 1
+ einfo "Please, run '/usr/sbin/ejabberdctl stop' to see what's going on."
+ fi
+ eend 0
+}
diff --git a/unmaintained/ejabberd/ejabberd.logrotate b/unmaintained/ejabberd/ejabberd.logrotate
new file mode 100644
index 0000000000..03069078aa
--- /dev/null
+++ b/unmaintained/ejabberd/ejabberd.logrotate
@@ -0,0 +1,12 @@
+/var/log/ejabberd/ejabberd.log {
+ weekly
+ missingok
+ rotate 10
+ compress
+ delaycompress
+ ifempty
+ nomail
+ sharedscripts
+ postrotate ejabberdctl --node ejabberd reopen-log > /dev/null
+ endscript
+}
diff --git a/unmaintained/ejabberd/ejabberd.pre-install b/unmaintained/ejabberd/ejabberd.pre-install
new file mode 100644
index 0000000000..4111b3189e
--- /dev/null
+++ b/unmaintained/ejabberd/ejabberd.pre-install
@@ -0,0 +1,3 @@
+#!/bin/sh
+adduser -H -h /var/lib/ejabberd -G ejabberd -D ejabberd 2>/dev/null
+exit 0